Name:           thermal-daemon
Version:        2.5.2
Release:        %mkrel 1
Summary:        The "Linux Thermal Daemon" program from 01.org
Group:          System/Kernel and hardware

License:        GPLv2+
URL:            https://github.com/intel/thermal_daemon
Source0:        https://github.com/intel/thermal_daemon/archive/v%{version}/thermal_daemon-%{version}.tar.gz
Patch0:         thermald-fix-rundir.patch
ExclusiveArch:  %{ix86} x86_64

BuildRequires:  autoconf-archive
BuildRequires:  automake
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  libgomp-devel
BuildRequires:  pkgconfig(libevdev)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(upower-glib)
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}

%description
Thermal Daemon monitors and controls platform temperature.

%prep
%autosetup -p1 -n thermal_daemon-%{version}

%build
NO_CONFIGURE=1 ./autogen.sh
%configure
%make_build

# Although there is a folder test in the upstream repo, this is not for self tests.
# Hence check section is not present.

%install
%make_install

%post
%_post_service thermald

%preun
%_preun_service thermald

%files
%doc README.txt
%license COPYING
%{_sbindir}/thermald
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.thermald.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.thermald.service
%config(noreplace) %{_sysconfdir}/thermald/thermal-cpu-cdev-order.xml
%{_mandir}/man5/thermal-conf.xml.5*
%{_mandir}/man8/thermald.8*
%{_unitdir}/thermald.service


%changelog
* Mon Aug 28 2023 daviddavid <daviddavid> 2.5.2-1.mga10
+ Revision: 1980337
- new version: 2.5.2

* Sat Mar 26 2022 umeabot <umeabot> 1.6-4.mga9
+ Revision: 1827911
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.6-3.mga8
+ Revision: 1517418
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.6-2.mga7
+ Revision: 1301397
- Mageia 7 Mass Rebuild
+ zezinho <zezinho>
- fix warning activating service

* Tue May 02 2017 zezinho <zezinho> 1.6-1.mga6
+ Revision: 1098718
- new version

* Mon Jul 04 2016 pterjan <pterjan> 1.5.3-2.mga6
+ Revision: 1038635
- Only build on x86*, this does not support other CPUs

* Wed Mar 16 2016 zezinho <zezinho> 1.5.3-1.mga6
+ Revision: 992225
- follow mageia policy
- fix group
- imported package thermal-daemon


* Fri Jul 17 2015 Piruthiviraj<piruthiviraj at gmail dot com> - 1.4.3-2
- minor fixes and update

* Fri Jun 12 2015 Piruthiviraj Natarajan <piruthiviraj at gmail dot com> 1.4.2
-upgraded to latest upstream version
* Sun Apr 27 2014 Heiko Adams <ml@heiko-adams.de> 1.20.01-1
- Upgraded to thermal daemon 1.2.01
* Tue Oct 01 2013 Srinivas Pandruvada <srinivas.pandruvada@linux.intel.com> 1.03-1
- Upgraded to thermal daemon 1.03
* Mon Jun 24 2013 Srinivas Pandruvada <srinivas.pandruvada@linux.intel.com> 1.02-5
- Replaced underscore with dash in the package name
* Thu Jun 20 2013 Srinivas Pandruvada <srinivas.pandruvada@linux.intel.com> 1.02-4
- Resolved prefix and RPM_BUILD_ROOT as per review comments
* Wed Jun 19 2013 Srinivas Pandruvada <srinivas.pandruvada@linux.intel.com> 1.02-3
- Removed libxml2 requirement and uses shortcommit in the Source0
* Tue Jun 18 2013 Srinivas Pandruvada <srinivas.pandruvada@linux.intel.com> 1.02-2
- Update spec file after first review
* Fri Jun 14 2013 Srinivas Pandruvada <srinivas.pandruvada@linux.intel.com> 1.02-1
- Initial package
